4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.GroupImp

Group repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: GroupImp |  |  |  | Functions: NewGroupXml |  |  |  | Fields: FTSERVER_NAMESPACE, NEW_GROUP_MEMBER_XUPDATE, REMOVE_GROUP_MEMBER_XUPDATE, XLINK_NAMESPACE

## Classes

class GroupImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp, Ft.Server.Server.SCore.GroupableObjectMixin.GroupableObjectMixin)
Contains implementation for a group resource which is a set of specified users

### Methods

addMember(self, user)
Add a member to this group
getMemberPaths(self)
Get a list of names of all users that are members of this group
getMembers(self)
Get a list of all the users that are members of this group
getUsername(self)
Get the username of this group
removeMember(self, user)
Remove a user from this group

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setContent, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContent, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Methods inherited from class Ft.Server.Server.SCore.GroupableObjectMixin.GroupableObjectMixin

getGroups

### Fields

resourceType = 8

## Functions

NewGroupXml(driver, name, path, acl, owner, docDef)

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
NEW_GROUP_MEMBER_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x..."/>\n </xupdate:append>\n</xupdate:modifications>\n'
REMOVE_GROUP_MEMBER_XUPDATE = '<xupdate:modifications\n version="1.0"\n xmlns:x...:href=\'%s;metadata\']"/>\n</xupdate:modifications>\n'
XLINK_NAMESPACE = u'http://www.w3.org/1999/xlink'